@import url('https://fonts.googleapis.com/css2?family=Space+Mono:ital,wght@0,400;0,700;1,400;1,700&display=swap');
html {
    scroll-behavior: smooth;
}
body {
    background-image: url("images/bgPurple.png");
    background-repeat: repeat;
    background-position: center;
    font-family: 'Space Mono', monospace, inter, sans-serif;
}
#navigation a {
    color:white;
}
#navigation a:hover {
    color: lightgray;
}
#changeColor {
    display: block;
    margin: 0 auto;
    padding: 20px;
    background-color: azure;
    border-width: 2px;
    border-color: bisque;
    cursor: pointer;
    
}
section.section {
    width: 80%;
    margin: 0 auto;
    background-color: rgba(0,0,0,0.7);
    border: 10px solid palevioletred;
    padding: 15px;
    margin-top: 10px;
    color: white;
    font-size: xx-large;
    text-align: center;
}
.Trans {
    color:pink;
    text-decoration: none;
}
a.Trans:hover {
    color: plum;
}
.Aroace {
    color: orange;
    text-decoration: none;
}
a.Aroace:hover {
    color: darkorange;
}
#transFlag, #aroaceFlag {
    position: relative;
    width: 30%;
    box-shadow: 5px 5px gray;
}
#panel {
    position: fixed;
    z-index: 100;
    width: 30%;
    top: 20px;
    left: 20px;
}
#sideMenu {
    display: none;
}
#panel.open #sideMenu {
    display: block;
    border: 5px solid mediumorchid;
    background-color: mediumslateblue;
    margin: 15px;
    padding: 10px;
}
#menuButton {
    width: 9%;
    border-radius: 30px;
    cursor: pointer;
    font-size: 30px;
}
#changeColor:hover {
    background-color: aquamarine;
}
#interestsLists {
    display:flex;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: space-between;
}
div.interestBox {
    width: 45%;
    padding: 20px;
    border: 3px dashed palevioletred;
}
ul {
    list-style-type: none;
    text-align: center;
    padding: 0px;
    margin: 0px;
}
#linksBox {
    justify-content: center;
    display: flex;
    gap: 30px;
}
.linkImage:hover {
    box-shadow: 5px 5px white;
    transition: 0.2s;
    border-radius: 60px;
    transform: scale(1.1)
}










@media (max-width: 700px){
    h1{
        font-size: 40px;
    }
    p{
        font-size: 22px;
    }
    div.interestBox {
        font-size: 22px;
        width: 85%;
        padding: 0px;
        margin: auto;
    }
    #panel{
        width: 50%;
    }
    #menuButton{
        width: 45px;
    }
    #linksBox{
        flex-wrap: wrap;
    }
}